Create a new temporary expense
Create a new temporary-expense-item.
Attaching a receipt: if the expense nature requires a receipt, you must first upload the file via POST /lucca-files/api/uploads, then create an ExpenseReceipt via POST /api/v3/expenseReceipts, and finally reference the receipt’s id in the expenseReceipts array. Do not pass the file upload ID directly — see the Attaching receipts guide for the full workflow.
Headers
Body
The ExpenseTempItem, or "temporary expense" is an expense that has not yet been declared (within an expense report) by its owner (the user who made the expense). Once submitted within an expense report, the expense turns into an ExpenseClaimItem.
The expense receipts (PDF file, image, ...) attached to this expense. Technically, there could be more than one, but in reality, there’s usually just one.
Important: to attach a receipt when creating or updating an expense, you must first upload the file via POST /lucca-files/api/uploads, then create an ExpenseReceipt via POST /api/v3/expenseReceipts (providing the uploadId), and finally reference the receipt by its id here. Passing the file upload ID directly will result in a 403 Forbidden error. See the Attaching receipts guide.